Do not error out in the integration test cleanup function.
authorWard Vandewege <ward@curii.com>
Mon, 28 Sep 2020 17:55:06 +0000 (13:55 -0400)
committerWard Vandewege <ward@curii.com>
Mon, 28 Sep 2020 17:55:45 +0000 (13:55 -0400)
refs #16919

Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward@curii.com>

tools/run-integration-tests.sh

index 09cb25188f77a89819451bf6bac6025d1e4e67d2..140de3c8ad2fcbcf9c7bce5ba0e7d7c91bfe8c77 100755 (executable)
@@ -7,6 +7,7 @@ set -e -o pipefail
 
 cleanup() {
     set -x
+    set +e +o pipefail
     kill ${arvboot_PID} ${consume_stdout_PID} ${wb2_PID} ${consume_wb2_stdout_PID}
     wait ${arvboot_PID} ${consume_stdout_PID} ${wb2_PID} ${consume_wb2_stdout_PID} || true
     if [ "${CLEANUP_ARVADOS_DIR}" -eq "1" ]; then